package com.xintong.visualinspection.dao.master;

import com.xintong.visualinspection.bean.DeptStatistic;
import com.xintong.visualinspection.bean.UserStatistic;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件名：CheckUserStatistics
 * 版本信息：日期：2018/2/5 Copyright 江苏省交通规划设计院 Corporation 2018 版权所有.
 */
@Mapper
public interface CheckDeptStatisticsDao {
    public DeptStatistic getOne(Long id);
    public DeptStatistic getByDept(DeptStatistic deptStatistic);
    public void insert(DeptStatistic deptStatistic);
    public void update(DeptStatistic deptStatistic);
    public void delete(Long id);
    public void saveandupdate(DeptStatistic deptStatistic);
    public List<DeptStatistic> selectdepts(DeptStatistic statistic);

}
